No valid plugins found in file?

When I try to install the dashboard (v3.3.2) it's giving me the following message:

Downloading install package from https://premium.wpmudev.org/wdp-un.php?action=install_wpmudev_dash…

Unpacking the package…

Installing the plugin…

The package could not be installed. No valid plugins were found.

Plugin install failed.

Suggestions? I've tried downloading via the link in WP, I've tried uploading the .zip file, and I've tried unzipping it on my local machine and then uploading the folder. Nothing seems to work.

I had an older version (v3.3) on my local machine and that seems to work fine but when I try to upgrade it gives me this error.

Thoughts / suggestions?